///
/// Code generated by jsonToDartModel https://ashamp.github.io/jsonToDartModel/
///
class StartChallengeResponse {
/*
{
  "id": 1,
  "idChallenge": 1,
  "idChallengeVersion": 1,
  "status": "INPROGRESS"
}
*/

  int? id;
  int? idChallenge;
  int? idChallengeVersion;
  String? status;

  StartChallengeResponse({
    this.id,
    this.idChallenge,
    this.idChallengeVersion,
    this.status,
  });
  StartChallengeResponse.fromJson(Map<String, dynamic> json) {
    id = json['id']?.toInt();
    idChallenge = json['idChallenge']?.toInt();
    idChallengeVersion = json['idChallengeVersion']?.toInt();
    status = json['status']?.toString();
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['id'] = id;
    data['idChallenge'] = idChallenge;
    data['idChallengeVersion'] = idChallengeVersion;
    data['status'] = status;
    return data;
  }
}
